<?
require_once '../core/system.php';
echo only_reg();
echo ban();
if (isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `forum_razdel` WHERE `id` = '".intval($_GET['id'])."'"),0) == true){
$razdel = mysql_fetch_assoc(mysql_query("SELECT * FROM `forum_razdel` WHERE `id`  = '".intval($_GET['id'])."'"));
}else{
$_SESSION['err'] = "Раздел не найден!";
header('Location: /forum/');
exit();
}
$header = $razdel[name];
require_once '../core/head.php';
if(isset($_POST['name']) && isset($_POST['msg'])) {
$name = check($_POST['name']);
$msg = check($_POST['msg']);
if($user[level] < 7) $err =  'Создавать топик можно только с 7 уровня!';
if(strlen($name) < 3 or strlen($name) > 500) $err =  'Длина названия должна быть в пределах 3 - 500 символов';
if(strlen($msg) < 3 or strlen($msg) > 20000) $err =  'Длина сообщения должна быть в пределах 3 - 20000 символов';
if(!isset($err)) {
mysql_query("INSERT INTO `forum_topic` SET `name` = '$name', `msg` = '$msg', `id_user` = '$user[id]', `time` = '".time()."', `id_razdel` = '$razdel[id]'");
header("Location: /forum/post/$razdel[id]/");
$_SESSION['message'] = 'Топик создан!';
exit();
}else{
header("Location: /forum/post/$razdel[id]/");
$_SESSION['err'] = $err;
exit();
}
}
echo '<form class="player" method="post" action="?id='.$razdel[id].'">
Название: <br /><input class="text large" type="text" name="name" /><br />
Сообщение: <br /><textarea name="msg" class = "text large" rows="4" cols="55"></textarea>
<span class="btn"><span class="end"><input class="label" type="submit" value="Создать">Создать</span></span>
</form>';
require_once '../core/foot.php';
?>